<template>
    
    <div class="divClass">认证中...</div>
</template>


<script>

import AuthSettingResource from '../api/commom/AuthSettingResource.js';
import LoginService from './LoginService.js';


export default {

  components: {
    
  },
  data: function () {
    return {

      isUniqueLoginModel: false, //唯一认证方式
    }
  },

  
  mounted: function () {

    this.getIsUniqueLoginModel();
    this.initData();
  },

  
  methods: {

    /**
     * 外部单点登录
     * @param {Object} accountNumber
     * @author GuoZhiBo 20211026
     */
    profileLogin: function (code, redirect_uri, jaccountClientId, id) {
      redirect_uri = decodeURIComponent(redirect_uri);
      var loginData = {
        code: code,
        accountDateTime: this.accountDateTime,
        languageId: this.languageSelected,
        redirect_uri: redirect_uri,
        client_id: jaccountClientId,
        id: id,
      };
      var _self = this;
      $.ajax({
        url: Common.getApiUrl2('authApi/LoginResource/profileLogin'),
        async: true,
        type: 'post',
        data: loginData,
        success: function (loginInfo) {
          loginInfo.accountName = _self.accountItem.accountName;
          LoginService.setLoginInfo(loginInfo);
          LoginService.saveLocalStorage(_self);
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
          Common.processException(XMLHttpRequest, textStatus, errorThrown);
        },
      });
    },
  }

}
</script>

<style scoped>
.divClass {
  text-align: center;
  font-size: 30px;
  color: red;
}
</style>